package daial;

import daial.OPBasica;
import java.util.ArrayList;
import java.util.Date;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.C7658392-43D0-F2C9-A754-D13A55183D1F]
// </editor-fold> 
public class Arqueo {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C7A05090-38A3-91EC-850E-17AAE3EDC547]
    // </editor-fold> 
    private Empleado mEmpleado;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C42EA4F3-B8CD-C0BA-F325-6B5B48CD1D1A]
    // </editor-fold> 
    private ArrayList<OPBasica> mOPBasica;

    private double saldo_inicial;

    private double saldo_final;

    private Date fecha;

    private String incidencia = "Ninguna";

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AA40CD5A-ABDF-B9AC-7297-05EDBF3F248A]
    // </editor-fold> 
    public Arqueo () {
        fecha = new Date();
        mOPBasica = new ArrayList();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6680F4ED-7A5F-DCF2-BDCD-CF4CFF7C1595]
    // </editor-fold> 
    public Empleado getEmpleado () {
        return mEmpleado;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CDAD8BE8-CE5B-FF26-0536-72CE6CBCE3C5]
    // </editor-fold> 
    public void setEmpleado (Empleado val) {
        mEmpleado = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.35CA20C7-4A00-535E-B75F-0A483B52F926]
    // </editor-fold> 
    public ArrayList<OPBasica> getOPBasica () {
        return mOPBasica;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.83B49E50-B6C7-1EC3-6233-EC5501DBEA17]
    // </editor-fold> 
    public void setOPBasica (ArrayList<OPBasica> val) {
        mOPBasica = val;
    }

    /**
     * @return the saldo_inicial
     */
    public double getSaldo_inicial() {
        return saldo_inicial;
    }

    /**
     * @param saldo_inicial the saldo_inicial to set
     */
    public void setSaldo_inicial(double saldo_inicial) {
        this.saldo_inicial = saldo_inicial;
    }

    /**
     * @return the saldo_final
     */
    public double getSaldo_final() {
        return saldo_final;
    }

    /**
     * @param saldo_final the saldo_final to set
     */
    public void setSaldo_final(double saldo_final) {
        this.saldo_final = saldo_final;
    }

    /**
     * @return the fecha
     */
    public Date getFecha() {
        return fecha;
    }

    /**
     * @param fecha the fecha to set
     */
    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    /**
     * @return the incidencia
     */
    public String getIncidencia() {
        return incidencia;
    }

    /**
     * @param incidencia the incidencia to set
     */
    public void setIncidencia(String incidencia) {
        this.incidencia = incidencia;
    }

    public void anadirOpBasica(OPBasica opb)
    {
        mOPBasica.add(opb);
    }
    
}

